> ## Documentation Index
> Fetch the complete documentation index at: https://docs.firecrawl.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# 解析フォーマット

[`/parse`](/ja/api-reference/endpoint/parse) が受け付けるすべてのファイルフォーマットを、ファイル拡張子と MIME タイプとあわせて一覧表示します。この一覧は `/parse` がアップロードの検証に使用するルールと同じルールから生成されます。そのため、サポートされているファイル形式の一覧を独自に管理しなくても、送信前にファイルをチェックできます。

各エントリの `kind` は `document` または `image` のいずれかです。画像フォーマットは OCR で処理されます。画像 OCR が有効になっていない環境では、画像フォーマットに `available: false` が設定され、OCR が有効になるまでそれらのフォーマットのアップロードは `UNSUPPORTED_FILE_TYPE` で拒否されます。

この一覧が変更されることはほとんどありません。レスポンスには `Cache-Control: private, max-age=3600` が付与されるため、最大 1 時間キャッシュしても問題ありません。


## OpenAPI

````yaml ja/api-reference/v2-openapi.json GET /parse/formats
openapi: 3.0.0
info:
  contact:
    email: support@firecrawl.dev
    name: Firecrawl Support
    url: https://firecrawl.dev/support
  description: Firecrawlのサービスを利用して、Webスクレイピングやクロールを行うためのAPIです。
  title: Firecrawl API
  version: v2
servers:
  - url: https://api.firecrawl.dev/v2
security:
  - bearerAuth: []
paths:
  /parse/formats:
    get:
      tags:
        - Scraping
      summary: /parseが対応するファイル形式の一覧を取得
      operationId: getParseFormats
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  data:
                    properties:
                      formats:
                        items:
                          properties:
                            available:
                              description: >-
                                現在、`/parse`がリクエストでこの形式を受け付けるかどうか。文書形式は常に`true`です。画像OCRが有効でない場合、画像形式は`false`です。
                              example: true
                              type: boolean
                            extensions:
                              description: この形式で受け付けるファイル拡張子。正規拡張子が先頭に来ます。
                              example:
                                - .docx
                              items:
                                type: string
                              type: array
                            format:
                              description: 形式の略称。ドットを除いた正規拡張子です。
                              example: docx
                              type: string
                            kind:
                              description: この形式を文書として解析するか、画像としてOCR処理するか。
                              enum:
                                - document
                                - image
                              example: document
                              type: string
                            mimeTypes:
                              description: この形式で受け付けるMIMEタイプ。
                              example:
                                - >-
                                  application/vnd.openxmlformats-officedocument.wordprocessingml.document
                              items:
                                type: string
                              type: array
                          type: object
                        type: array
                    type: object
                  success:
                    example: true
                    type: boolean
                type: object
          description: >-
            対応するファイル形式。レスポンスは最大1時間キャッシュできます（`Cache-Control: private,
            max-age=3600`）。
        '401':
          content:
            application/json:
              schema:
                properties:
                  error:
                    example: 'Unauthorized: Invalid token'
                    type: string
                  success:
                    example: false
                    type: boolean
                type: object
          description: APIキーが未指定または無効
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.